Content gaps
Get a content gap
Full detail of a content-gap suggestion: brief, outline, reasoning, similar competitor topic, closest existing page on the website.
GET
/
api
/
v1
/
public
/
content-gaps
/
{suggestion_id}
Get a content gap
curl --request GET \
--url https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"client_site_id": 123,
"suggested_topic": "<string>",
"reasoning": "<string>",
"similarity_score": 123,
"status": "NEW",
"closest_page": {
"id": 123,
"url": "<string>",
"title": "<string>"
},
"competitor_topic": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"content_type": "<string>",
"content_brief": "<string>",
"priority": "medium",
"source_kind": "fanout",
"primary_query": "<string>",
"content_job": "direct_answer",
"generation_version": "<string>",
"brief": {
"primary_query": "<string>",
"canonical_intent": "<string>",
"search_intent": "informational",
"content_job": "direct_answer",
"asset_decision": "new_page",
"buyer_stage": "unaware",
"audience": "<string>",
"job_to_be_done": "<string>",
"recommended_format": "article",
"angle": "<string>",
"why_now": "<string>",
"reader_outcome": "<string>",
"existing_coverage_summary": "<string>",
"information_gain": "<string>",
"why_new_page": "<string>",
"outline": [
{
"heading": "<string>",
"objective": "<string>",
"questions": [
"<string>"
]
}
],
"proof_plan": [
{
"proof_id": "<string>",
"claim_or_question": "<string>",
"required_evidence": "<string>",
"preferred_source_type": "market_signal",
"availability": "found",
"claim_boundary": "<string>",
"source_ids": [
"<string>"
]
}
],
"original_value_requirements": [
"<string>"
],
"citable_blocks": [
{
"block_type": "<string>",
"purpose": "<string>"
}
],
"overlap_notes": "<string>",
"geo_requirements": [
"<string>"
],
"version": 1,
"secondary_questions": [
"<string>"
],
"internal_links": [
{
"page_id": 123,
"url": "<string>",
"reason": "<string>",
"title": "<string>"
}
]
},
"evidence": {
"primary_source_kind": "fanout",
"signals": [
{
"kind": "google_trends",
"label": "<string>",
"query": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"seed_query": "<string>",
"signal": "top",
"raw_value": 123,
"timeframe": "<string>",
"geo": "<string>",
"rank": 50,
"publisher": "<string>",
"title": "<string>",
"snippet": "<string>",
"source_url": "<string>"
}
],
"proof_readiness": {
"status": "ready",
"found_source_count": 10,
"brand_contribution_required": true,
"reason": "<string>"
},
"provenance": {
"research_key": "<string>",
"seeds": [
"<string>"
],
"language": "<string>",
"location_code": 123,
"timeframe": "<string>"
},
"version": 1,
"sources": [
{
"source_id": "<string>",
"title": "<string>",
"publisher": "<string>",
"source_type": "market_signal",
"verification_status": "signal_verified",
"source_url": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"relevance_note": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"supports_proof_ids": [
"<string>"
]
}
],
"related_existing_pages": [
{
"page_id": 123,
"url": "<string>",
"relationship": "distinct",
"reason": "<string>",
"title": "<string>"
}
]
},
"above_threshold": false,
"similarity_threshold": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}Authorizations
Response
Successful Response
⌘I
Get a content gap
curl --request GET \
--url https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/content-gaps/{suggestion_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"client_site_id": 123,
"suggested_topic": "<string>",
"reasoning": "<string>",
"similarity_score": 123,
"status": "NEW",
"closest_page": {
"id": 123,
"url": "<string>",
"title": "<string>"
},
"competitor_topic": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"content_type": "<string>",
"content_brief": "<string>",
"priority": "medium",
"source_kind": "fanout",
"primary_query": "<string>",
"content_job": "direct_answer",
"generation_version": "<string>",
"brief": {
"primary_query": "<string>",
"canonical_intent": "<string>",
"search_intent": "informational",
"content_job": "direct_answer",
"asset_decision": "new_page",
"buyer_stage": "unaware",
"audience": "<string>",
"job_to_be_done": "<string>",
"recommended_format": "article",
"angle": "<string>",
"why_now": "<string>",
"reader_outcome": "<string>",
"existing_coverage_summary": "<string>",
"information_gain": "<string>",
"why_new_page": "<string>",
"outline": [
{
"heading": "<string>",
"objective": "<string>",
"questions": [
"<string>"
]
}
],
"proof_plan": [
{
"proof_id": "<string>",
"claim_or_question": "<string>",
"required_evidence": "<string>",
"preferred_source_type": "market_signal",
"availability": "found",
"claim_boundary": "<string>",
"source_ids": [
"<string>"
]
}
],
"original_value_requirements": [
"<string>"
],
"citable_blocks": [
{
"block_type": "<string>",
"purpose": "<string>"
}
],
"overlap_notes": "<string>",
"geo_requirements": [
"<string>"
],
"version": 1,
"secondary_questions": [
"<string>"
],
"internal_links": [
{
"page_id": 123,
"url": "<string>",
"reason": "<string>",
"title": "<string>"
}
]
},
"evidence": {
"primary_source_kind": "fanout",
"signals": [
{
"kind": "google_trends",
"label": "<string>",
"query": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"seed_query": "<string>",
"signal": "top",
"raw_value": 123,
"timeframe": "<string>",
"geo": "<string>",
"rank": 50,
"publisher": "<string>",
"title": "<string>",
"snippet": "<string>",
"source_url": "<string>"
}
],
"proof_readiness": {
"status": "ready",
"found_source_count": 10,
"brand_contribution_required": true,
"reason": "<string>"
},
"provenance": {
"research_key": "<string>",
"seeds": [
"<string>"
],
"language": "<string>",
"location_code": 123,
"timeframe": "<string>"
},
"version": 1,
"sources": [
{
"source_id": "<string>",
"title": "<string>",
"publisher": "<string>",
"source_type": "market_signal",
"verification_status": "signal_verified",
"source_url": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"relevance_note": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"supports_proof_ids": [
"<string>"
]
}
],
"related_existing_pages": [
{
"page_id": 123,
"url": "<string>",
"relationship": "distinct",
"reason": "<string>",
"title": "<string>"
}
]
},
"above_threshold": false,
"similarity_threshold": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}